{% extends "admin_base.html" %}
{% load static %}

{% block css %}
    <link rel="stylesheet" href="https://cdn.metroui.org.ua/v4/css/metro-all.min.css">
{% endblock %}

{% block content %}
    <div class="main-panel">
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top ">
        <div class="container-fluid">
            <div class="navbar-wrapper">
                <a class="navbar-brand" href="#pablo">Messages</a>
            </div>
            <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="sr-only">Toggle navigation</span>
                <span class="navbar-toggler-icon icon-bar"></span>
                <span class="navbar-toggler-icon icon-bar"></span>
                <span class="navbar-toggler-icon icon-bar"></span>
            </button>
            <div class="collapse navbar-collapse justify-content-end">
                <ul class="navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link" href="http://example.com" id="navbarDropdownMenuLink"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="material-icons">person</i>
                            <p class="d-lg-none d-md-block">
                                Some Actions
                            </p>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                            <a class="dropdown-item" href="{% url 'logout' %}">Logout</a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <!-- End Navbar -->
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title">Messages</h4>
                            <p class="card-category">List Of Messages</p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead class=" text-orange">
                                    <th>
                                        Sender
                                    </th>
                                    <th>
                                        E-mail
                                    </th>
                                    <th>
                                        Subject
                                    </th>
                                    <th>
                                        Body
                                    </th>
                                    </thead>
                                    <tbody>
                                    {% if messages %}
                                        {% for message in messages %}
                                            <tr>
                                                <td>
                                                    {{ message.sender }}
                                                </td>
                                                <td>
                                                    {{ message.email }}
                                                </td>
                                                <td>
                                                    {{ message.subject }}
                                                </td>
                                                <td>
                                                    {{ message.body }}
                                                </td>
                                                <td>
                                                    <a onclick="Metro.dialog.open('.dialog')">
                                                        <i class="material-icons"
                                                           style="color: #1f1f1f!important;">
                                                            delete</i>
                                                    </a>
                                                </td>
                                            </tr>
                                            <div class="dialog" data-role="dialog">
                                                <div class="dialog-title">Delete Confirmation</div>
                                                <div class="dialog-content">
                                                    Are you sure you want to delete this item? <br>
                                                    This action cannot be undone.
                                                </div>
                                                <div class="dialog-actions">
                                                    <button class="btn js-dialog-close">Disagree</button>
                                                    <a href="{% url 'delete_msg' message.pk %}">
                                                        <button class="btn btn-danger js-dialog-close">Agree
                                                        </button>
                                                    </a>
                                                </div>
                                            </div>
                                        {% endfor %}
                                    {% else %}
                                        <tbody>
                                        <td colspan="5">
                                            No messages
                                        </td>
                                        </tbody>
                                    {% endif %}
                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block js %}
    <script src="https://cdn.metroui.org.ua/v4/js/metro.min.js"></script>
{% endblock %}